//
//  Shader.vsh
//  ios
//
//  Created by Kevin Pazirandeh on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;
attribute vec3 normal;

varying vec4 v_color;

uniform mat4 mvpMatrix;
uniform mat3 normalMatrix;


void main()
{
    gl_Position = mvpMatrix * position;
    v_color = color;
    
}
