//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec2 uv2;

varying lowp vec2 uv1Varying;
varying lowp vec2 uv2Varying;
varying lowp float v_fog;

uniform mat4 mvpMatrix;
uniform float fogMult;
V_FOG_UNIFORMS

void main()
{

    uv1Varying = uv1;
    uv2Varying = uv2;
    gl_Position = mvpMatrix * position;
    
    v_fog = PARAM_FOG(fogMult);
}
