//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 frag_uv1;

uniform sampler2D texture;
uniform lowp vec4 color;

varying lowp vec2 v_blurTexCoords[4];

void main()
{

    gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 0])*0.0702702703;
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 1])*0.3162162162;
    gl_FragColor += texture2D(texture, frag_uv1           )*0.2270270270;
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 2])*0.3162162162;
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 3])*0.0702702703;


    
}
