//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 frag_uv1;

uniform sampler2D texture;
uniform lowp vec4 color;

varying lowp vec2 v_blurTexCoords[9];

void main()
{

    gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 0]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 1]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 2]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 3]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 4]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 5]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 6]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 7]);
    gl_FragColor += texture2D(texture, v_blurTexCoords[ 8]);
    gl_FragColor *= 0.111;

}
