//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 frag_uv1;
varying highp vec2 vignette_uv;
varying highp float v_alpha;


uniform sampler2D texture;
uniform lowp vec4 color;

void main()
{
    highp vec4 tex = texture2D(texture, frag_uv1);
    gl_FragColor = tex * tex * 2.0 * color * (1.0 - v_alpha);
    gl_FragColor.w = v_alpha * color.w;

}
