//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 v_uv1;
varying highp vec3 v_normal;
varying highp vec3 v_view_dir;

uniform sampler2D texture;
uniform lowp vec4 color;

void main()
{
    mediump vec4 result = texture2D(texture, v_uv1) * color;
//    lowp float fresnel = pow(max(0.0, dot(v_normal, v_view_dir) - 0.1)/0.9, 2.0);
    gl_FragColor = result;
//    gl_FragColor.w = fresnel;
}
