//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 frag_uv1;
varying lowp float v_fog;

uniform sampler2D texture;
uniform lowp vec4 color;

void main()
{
    lowp vec4 result = texture2D(texture, frag_uv1) * color;
    gl_FragColor = result;
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
}
