//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 frag_uv1;

uniform sampler2D texture;
uniform lowp vec4 color;

void main()
{
    mediump vec4 c = texture2D(texture, frag_uv1);
    mediump vec3 blu = vec3(0, 0.494, 1.0);
    mediump vec3 lum = vec3(0.299, 0.587, 0.114);
    mediump vec3 gray = vec3(dot(lum, pow(c.xyz, vec3(4.0))))*0.8 + vec3(0.2);
    mediump vec3 r3 = vec3(1.0) - (vec3(1.0)-blu)*(vec3(1.0)-gray);
    
    gl_FragColor = vec4(r3, c.w);
}
