//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;

varying highp vec2 frag_uv1;
varying lowp float v_norm;

uniform mat4 mvpMatrix;
uniform mat3 tMatrix;

void main()
{
    gl_Position = mvpMatrix * position;
    frag_uv1 = (tMatrix * vec3(uv1, 1)).xy;
    v_norm = uv1.y;
}
