//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying highp vec2 frag_uv1;

uniform sampler2D texture;
uniform lowp vec4 color;

void main()
{
    mediump float alpha = texture2D(texture, frag_uv1).w;
    mediump vec4 result = color;
    result.w = alpha;
    gl_FragColor = result;
}
