//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying lowp vec2 uv1Varying;
varying lowp float v_fog;

uniform sampler2D diffuse;
uniform lowp float shadow_mult;

void main()
{
    lowp vec3 fogColor = vec3(1.0, 0.92, 0.8)*1.1;
    gl_FragColor = texture2D(diffuse, uv1Varying) * shadow_mult;
    gl_FragColor.w = 1.0;
    

    gl_FragColor.xyz = gl_FragColor.xyz * v_fog + fogColor * (1.0 - v_fog);
}
