//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;

varying lowp vec2 v_blurTexCoords[4];

uniform mat4 mvpMatrix;
uniform highp vec2 pixel_offset;

//uniform float offset[3] = float[]( 0.0, 1.3846153846, 3.2307692308 );

//uniform float weight[3] = float[]( 0.2270270270, 0.3162162162, 0.0702702703 )

void main()
{
    gl_Position = mvpMatrix * position;
    
    v_blurTexCoords[ 0] = uv1 + vec2(-0.5 * pixel_offset.x, -0.5 * pixel_offset.y);
    v_blurTexCoords[ 1] = uv1 + vec2(-0.5 * pixel_offset.x, 0.5 * pixel_offset.y);
    v_blurTexCoords[ 2] = uv1 + vec2( 0.5 * pixel_offset.x, -0.5 * pixel_offset.y);
    v_blurTexCoords[ 3] = uv1 + vec2( 0.5 * pixel_offset.x, 0.5 * pixel_offset.y);
    
}
