//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;
attribute vec4 uv1;

varying highp float v_alpha;
varying highp vec2 frag_uv1;
varying highp vec2 vignette_uv;

uniform mat4 mvpMatrix;

void main()
{
    gl_Position = mvpMatrix * position;
    vec4 puv = mvpMatrix * uv1;
    frag_uv1 = (puv.xy/puv.w * vec2(0.5, 0.5)) + vec2(0.5, 0.5);
    v_alpha = color.w*color.w*color.w;
    vignette_uv = (gl_Position.xy/gl_Position.w * vec2(0.5, 0.5)) + vec2(0.5, 0.5);
}
