//
//  Shader.vsh
//  ios
//
//  Created by Kevin Pazirandeh on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;

uniform mat4 mvpMatrix;
uniform vec4 light_dir;


void main()
{
    // we move w=0 verts along light dir until they are just under 0
    vec4 pos = position + light_dir*(position.y/-light_dir.y + 0.1)*position.w;
    pos.w = 1.0;
    gl_Position = mvpMatrix * pos;

}
